cmake_minimum_required(VERSION 3.10)
project(NeuralVisualizer)

set(CMAKE_CXX_STANDARD 20)
find_package(glfw3 REQUIRED)
find_package(OpenGL REQUIRED)

add_executable(test_ui
    test_launcher.cpp
    GUI/visual.cpp
    imgui/imgui.cpp
    imgui/imgui_draw.cpp
    imgui/imgui_widgets.cpp
    imgui/imgui_tables.cpp
    imgui/imgui_demo.cpp
    imgui/backends/imgui_impl_glfw.cpp
    imgui/backends/imgui_impl_opengl3.cpp
)


target_include_directories(test_ui
PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/imgui
    ${CMAKE_CURRENT_SOURCE_DIR}/imgui/backends
)

target_link_libraries(test_ui glfw GL)
